#ifndef _DRAWABLE_H
#define _DRAWABLE_H

class Drawable
{
protected:
	gchar text[1024];
	bool changeColor;
	bool filled;
	GdkColor foregroundColor;
	GdkColor backgroundColor;
	Drawable();
	Drawable(GdkColor& foregroundColor,GdkColor& backgroundColor,bool filled);
public:
	GdkColor& get_foregroundColor();
	GdkColor& get_backgroundColor();
	bool get_filled();
	gchar* get_text();
	void operator<<(gchar* text);
	void set_foreground_color(GdkColor& foregroundColor);
	void set_background_color(GdkColor& backgroundColor);
	void set_filled(bool filled);
	virtual void draw(GdkPixmap* buffer,GdkGC* GC)=0;
};

#endif
