#include<string.h>
#include<gtk--.h>
#include"Movable.h"
#include"Drawable.h"
#include"Selectable.h"
#include"Shape.h"
#include"Text.h"

Text::Text(gint x,gint y,GdkFont* textFont,gchar* text,
	GdkColor& foregroundColor,GdkColor& backgroundColor) :
		Shape(foregroundColor,backgroundColor,false)
{
	shape=textShape;
	this->x=x;
	this->y=y;
	this->textFont=textFont;
	strcpy(this->text,text);
}
bool Text::contains(gint x,gint y)
{
	height=12;
	width=gdk_string_width(textFont,text);
	if(x>this->x&&x<this->x+width&&y>this->y&&y<this->y+height)
		return true;
	return false;
}
bool Text::on_path(gint x,gint y)
{
	if(contains(x,y))
		return true;

	return false;
}
void Text::draw(GdkPixmap* buffer,GdkGC* GC)
{
	if(changeColor)
	{
		gdk_color_alloc(gdk_colormap_get_system(),&foregroundColor);
		changeColor=false;
	}
	gdk_gc_set_foreground(GC,&foregroundColor);
	gdk_draw_string(buffer,textFont,GC,x,y+12,text);
}
